classification
Title: BaseCookie.load doesn't create Morsel objects for mappings
Type: behavior Stage:
Components: Versions: Python 3.0, Python 2.4, Python 3.1, Python 2.7, Python 2.6, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eggy, georg.brandl
Priority: normal Keywords:

Created on 2009-02-15 22:49 by eggy, last changed 2009-09-04 08:17 by georg.brandl. This issue is now closed.

Messages (2)
msg82177 - (view) Author: Mark Florisson (eggy) * Date: 2009-02-15 22:49
The load method, which is also called from the initializer if input is
provided, doesn't create Morsel objects for things other than strs,
because it calls self.update(rawdata), which does not invoke the custom
__setitem__.

The documentation states that when rawdata is not a string, it must be a
dictionary and providing that will be equivalent to doing

for k, v in rawdata.items():
    cookie[k] = v

So that is what it should do :)
msg92243 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-04 08:17
Thanks, fixed in r74647.
History
Date User Action Args
2009-12-05 21:12:51amaury.forgeotdarclinkissue7446 superseder
2009-09-04 08:17:17georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg92243

resolution: fixed
2009-02-15 22:49:50eggycreate